@charset "UTF-8";

@font-face {
    src: local("Klavika Bold"), url(../font/KlavikaBold.otf) format("opentype");
    font-family: "Klavika Bold";
}

@font-face {
    src: local("Klavika Regular"), url(../font/KlavikaRegular.otf) format("opentype");
    font-family: "Klavika Regular";
}

@font-face {
    src: local("Klavika Light"), url(../font/KlavikaLight.otf) format("opentype");
    font-family: "Klavika Light";
}

:root {
    --main-color: #00c2de;
}

/*====================================
# 共同設定
==================================== */

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Klavika Regular', 'Klavika Bold', 'Klavika Light', 'Roboto', 'Noto Sans TC', Arial, '微軟正黑體', '新細明體', Helvetica, sans-serif;
    font-size: 17px;
    line-height: 1.8;
    color: #ffffff;
    background-color: #110500;
}

::selection {
    color: #212121;
    background-color: var(--main-color);
}

section {
    padding: 5rem 2rem;
}

a {
    color: #00c2de;
}

a:hover {
    color: #94a1b2;
}

.lightcolor {
    color: #C1A968;
}

.sec-pro {
    /* background-image: url(../img/bg.jpg); */
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.sec-pro .txtb {
    font-size: 50px;
    font-family: "Klavika Bold";
}

.sec-laptop {
    background-color: hsla(0, 0%, 0%, 1);
    background-image:
        radial-gradient(at 100% 67%, hsla(191, 100%, 15%, 1) 0px, transparent 50%),
        radial-gradient(at 1% 10%, hsla(191, 100%, 15%, 1) 0px, transparent 50%);
}

.s-gift {
    background: #00414f;
    background: -webkit-linear-gradient(0deg, #00414f 0%, #000000 25%);
    background: linear-gradient(0deg, #00414f 0%, #000000 25%);
}

.s-gift h2 {
    text-align: center;
    color: #00c2de;
    font-weight: 700;
    font-size: 3.2rem;
    font-style: italic;
}

.s-gift p {
    font-size: 20px;
    text-align: center;
}

.gift {
    display: block;
    margin: 0 auto;
    max-width: 450px;
}

.main-title {
    position: relative;
    margin: 2rem 1rem;
    font-weight: 700;
    font-family: "Klavika Bold", 'Roboto', Arial, '微軟正黑體';
}

.heading-lt {
    padding: .5em .7em;
    border: 2px solid #ffffff;
    box-shadow: 5px 5px #ffffff;
    color: #ffffff;
    margin-bottom: 3rem;
    font-family: "Klavika Bold", 'Roboto', Arial, '微軟正黑體';
}

.subtitle {
    font-size: 22px;
    letter-spacing: 0.2rem;
    font-style: italic;
}

@media (max-width:576px) {
    .s-gift h2 {
        font-size: 2.5rem;
    }

    .brnadLogo {
        display: block;
        margin: 2rem auto 0;
    }

    .main-title {
        margin: 1rem 0;
    }

    .heading-lt {
        padding: 10px 8px;
    }

}

/*====================================
# top-box
==================================== */
.top-box {
    text-align: center;
    border: 1px solid #ffffff;
    border-radius: 15px;
}

/* .top-box img {
    max-width: 150px;
    opacity: 0.5;
} */

.top-box p {
    color: #00c2de;

}

@media (max-width:576px) {
    .top-box {
        margin-bottom: 20px;
    }
}

/*====================================
# pimg
==================================== */
.pimg {
    position: relative;
    z-index: 2;
}

.pimg h3 {
    margin-bottom: 0;
    font-size: 24px;
    font-family: "Klavika Bold";
}

.pimg img,
.pimg h3 {
    z-index: 99;
}

.pimg::before {
    position: absolute;
    display: block;
    content: "";
    bottom: 10px;
    left: 20px;
    background: #474bff;
    background: -webkit-linear-gradient(90deg, rgba(0, 91, 140, 1) 0%, rgba(0, 91, 140, 0) 100%);
    background: linear-gradient(90deg, rgba(0, 91, 140, 1) 0%, rgba(0, 91, 140, 0) 100%);
    width: 100%;
    height: 50px;
    z-index: 1;
}

.pimg-txt {
    margin: 1rem 2rem 1rem 2.5rem;
    text-align: justify;
}

@media (max-width:576px) {
    .pimg h3 {
        font-size: 20px;
    }

    .pimg-txt {
        margin: 1rem;
        text-align: left;
    }

    .pimg::before {
        bottom: 5px;
        left: 25px;
        height: 58px;
    }
}


/*====================================
# icontitle
==================================== */
.icontitle {
    color: #212121;
    background-color: #00c2de;
    padding: 20px;
}

/* .icontitle img {
    max-width: 150px;
    opacity: 0.4;
} */

/*====================================
# btn-more
==================================== */
.btn-more {
    --clr-font-main: hsla(0 0% 20% / 100);
    --btn-bg-1: hsla(194 100% 69% / 1);
    --btn-bg-2: hsla(217 100% 56% / 1);
    --btn-bg-color: hsla(360 100% 100% / 1);
    padding: 0.6rem 2rem;
    display: inline-block;
    margin-bottom: 2rem;
    font-size: var(--size, 1rem);
    font-weight: 500;
    transition: 0.8s;
    background-size: 280% auto;
    background-image: linear-gradient(325deg,
            var(--btn-bg-2) 0%,
            var(--btn-bg-1) 55%,
            var(--btn-bg-2) 90%);
    border: none;
    border-radius: 25px;
    color: var(--btn-bg-color);
    box-shadow:
        0px 0px 20px rgba(71, 184, 255, 0.5),
        0px 5px 5px -1px rgba(58, 125, 233, 0.25),
        inset 4px 4px 8px rgba(175, 230, 255, 0.5),
        inset -4px -4px 8px rgba(19, 95, 216, 0.35);
}

.btn-more:hover {
    text-decoration: none;
    background-position: right top;
}

.btn-more:is(:focus, :focus-visible, :active) {
    outline: none;
    box-shadow:
        0 0 0 3px var(--btn-bg-color),
        0 0 0 6px var(--btn-bg-2);
}

@media (prefers-reduced-motion: reduce) {
    .btn-more {
        transition: linear;
    }
}

/*====================================
# 下載按鈕
==================================== */
.btn-m {
    display: block;
    padding: 15px 30px;
    border-radius: 30px;
    border: 1px solid transparent;
    color: #FFFFFF;
    background-color: #00c2de;
    font-size: 20px;
    letter-spacing: 0.3rem;
    transition: all 0.15s linear;
    margin: 0 auto;
}

.btn-m:hover {
    background-color: rgba(29, 201, 160, 0.08);
    border-color: #00c2de;
    color: #00c2de;
    transform: translateY(-5px) scale(1.05);
}

.btn-m:active {
    background-color: transparent;
    border-color: #00c2de;
    color: #00c2de;
    transform: translateY(5px) scale(0.95);
}

.btn-m:disabled {
    background-color: rgba(255, 255, 255, 0.16);
    color: #8E8E93;
    border-color: #8E8E93;
}

/*====================================
# 註解
==================================== */
.note {
    padding: 3rem;
    font-size: 14px;
    font-family: "Klavika Regular";
}

/*====================================
# 填寫頁
==================================== */

.siignup {
    color: #eeeeee;
}

.help-block {
    color: #00c2de;
}

.d-box {
    border: 1px solid #00c2de;
    text-align: center;
    font-size: 24px;
    padding: 1rem;
    border-radius: 15px;
    line-height: 1.5;
    margin-bottom: 15px;
    opacity: 0.7;
    transition: all 0.3s ease-in-out;
}


.d-box i {
    font-size: 40px;
}

.d-box:hover {
    background-color: #00c2de;
    color: #ffffff;
    opacity: 1;
}